# ClassificationMethod (ARX API Documentation)

org.deidentifier.arx.aggregates.classification

## Interface ClassificationMethod

- All Known Implementing Classes:
    MultiClassLogisticRegression, MultiClassZeroR

      public interface ClassificationMethod

  Implements a classifier

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassificationResult` | `classify(DataHandleInternal handle, int row)` Classify
    `void` | `close()` Close
    `void` | `train(DataHandleInternal features, DataHandleInternal clazz, int row)` Train

- - ### Method Detail

    - #### classify

          ClassificationResult classify(DataHandleInternal handle,
                                      int row)

      Classify
      Parameters:
        `handle` -
        `row` -
      Returns:

    - #### close

          void close()

      Close

    - #### train

          void train(DataHandleInternal features,
                   DataHandleInternal clazz,
                   int row)

      Train
      Parameters:
        `features` -
        `clazz` -
        `row` -